///////////////////////////////////////////////////////////////////////////////////////////////////////
// copy all the files inside this folder in your game folder (work if you are using the templates)
// include vertex.wdl in your main game file (office.wdl if you are using the templates)
// place this line of code at the beginning of any function or action attached to any model 
// OUTSIDE its while loop (if any):    init_vertex();
//////////////////////////////////////////////////////////////////////////////////////////////////////

var key_model;

//////////////////////////////////////////////////////////////////////////////////////////////////////

bmap flare_pcx = <flare.pcx>;

///////////////////////////////////////////////////////////////////////////////////////////////////////

function init_vertex();
function attach_flares();
function remove_flares();

///////////////////////////////////////////////////////////////////////////////////////////////////////

function init_vertex()
{
	var vertices; // local var
	my.invisible = on; // hide the entity to get a better looking effect
	while (1)
	{
		vertices = ent_vertices (my); // get the number of vertices for the model
		while (vertices > 0)
		{
			vec_for_vertex (temp, my, vertices); // get the coords for every vertex
			effect (attach_flares, 1, temp, normal);	// create the flare
			vertices -= 1; // move to next vertex
		}
		wait (1);
	}	
}

function toggle_model()
{
	while (1)
	{
		if (key_m == 1)
		{
			while (key_m == 1) {wait (1);}
			my.invisible = (my.invisible == off);
		}
		wait (1);
	}
}

function attach_flares()
{
	my.bmap = flare_pcx;
	my.flare = on;
	my.bright = on;
	my.size = 10;
	my.function = remove_flares;
}

function remove_flares()
{
	my.lifespan = 0; // remove the flare particle
}
